###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: rgmanager
Version: 2.0.23
Release: 1
License: GPL,LGPL
Group: System Environment/Base
Summary: Open Source HA Resource Group Failover for Red Hat Enterprise Linux
Requires: chkconfig initscripts glibc ncurses libxml2 bash grep sed gawk
Requires: cman
Requires: net-tools mount /sbin/findfs /bin/bash
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Provides: rgmanager
Obsoletes: clumanager
BuildRequires: glibc-devel ncurses-devel libxml2-devel /bin/grep
BuildRequires: cman-devel
#ExclusiveArch: %{ix86} x86_64
Source: %{name}-%{version}.tar.gz
Patch1: rgmanager-1.9.31-norun.patch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
%description
Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%prep
%setup -q
%patch1 -p1 -b .norun

%build
./configure --kernel_src=/usr/src/kernels/2.6.16-1.2236_FC6-i686/

sed -i '/RELEASE_MAJOR/s/= .*/= %version/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %release/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING errors.txt
%{_mandir}/*/*
/usr/sbin/
/usr/share/cluster
%config /etc/rc.d/init.d/rgmanager

%changelog
* Wed Jan 17 2007 Chris Feist <cfeist@redhat.com> - 2.0.23-1
- New upstream sources.
- Resolves: rhbz#222961

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 2.0.22-1
- New upstream sources.
- Resolves: rhbz#222485

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.21-1
- New upstream sources.
- Resolves: rhbz#218697

* Thu Dec 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.20-1
- New upstream sources.
- Resolves: rhbz#216774

* Tue Nov 28 2006 Chris Feist <cfeist@redhat.com> - 2.0.17-4
- New upstream sources.
- Resolves: rhbz#213878

* Mon Oct 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.13-1
- New upstream sources.

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.11-1
- Added dist tag.

* Mon Oct 09 2006 Chris Feist <cfeist@redhat.com> - 2.0.9-1
- Rebuilt with new upstream sources.

* Wed Sep 27 2006 Chris Feist <cfeist@redhat.com> - 2.0.8-1
- Rebuilt with new upstream sources.

* Mon Sep 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.7-1
- Rebuilt with new upstream sources.

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.6-1
- Rebuilt with new upstream sources.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.0-0.fc6.5.1
- rebuild

* Tue Jun 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.0-0.fc6.4
- Built for fc6

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.9.44-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt with new upstream sources.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May 05 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.4
- Build against latest set of libs and update sources.

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.3
- Build against latest set of libs and update sources.

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com> 1.9.2-2
- Build against latest set of libs.

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.2-1
- Fix up specfile

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.1-1
- Work around bug in VF code with sledgehammer approach

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.0-1
- Initial build.
